Bug 1461111 - When a network node is rebooting, all HA routers will enter a transition flapping storm
Summary: When a network node is rebooting, all HA routers will enter a transition flap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z7
: 10.0 (Newton)
Assignee: anil venkata
QA Contact: Roee Agiman
URL:
Whiteboard:
Depends On: 1433726 1461107 1461110
Blocks: 1461113
TreeView+ depends on / blocked
 
Reported: 2017-06-13 14:11 UTC by anil venkata
Modified: 2018-02-27 16:41 UTC (History)
13 users (show)

Fixed In Version: openstack-neutron-9.4.1-12.el7ost.noarch
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1461110
: 1461113 (view as bug list)
Environment:
Last Closed: 2018-02-27 16:41:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0357 normal SHIPPED_LIVE openstack-neutron bug fix advisory 2018-02-27 21:38:41 UTC

Comment 3 Edu Alcaniz 2018-01-08 12:32:35 UTC
Hi what is the status of this issue?

Comment 5 Edu Alcaniz 2018-01-08 15:00:44 UTC
Current rpms

openstack-neutron-9.4.1-2.el7ost.noarch                     Fri Dec  1 11:58:59 2017
openstack-neutron-common-9.4.1-2.el7ost.noarch              Fri Dec  1 11:58:59 2017
openstack-neutron-lbaas-9.2.1-4.el7ost.noarch               Fri Dec  1 11:59:09 2017
openstack-neutron-ml2-9.4.1-2.el7ost.noarch                 Fri Dec  1 11:59:02 2017
openstack-neutron-openvswitch-9.4.1-2.el7ost.noarch         Fri Dec  1 11:59:06 2017
python-neutron-9.4.1-2.el7ost.noarch                        Fri Dec  1 11:58:59 2017
python-neutron-lbaas-9.2.1-4.el7ost.noarch                  Fri Dec  1 11:59:09 2017
python-neutron-lib-0.4.0-1.el7ost.noarch                    Fri Dec  1 11:58:57 2017
python-neutronclient-6.0.0-3.el7ost.noarch                  Fri Dec  1 11:58:54 2017

openstack-neutron-openvswitch-9.4.1-2.el7ost.noarch         Fri Dec  1 11:59:06 2017
openvswitch-2.6.1-15.git20161206.el7ost.x86_64              Fri Dec  1 11:59:04 2017
python-openvswitch-2.6.1-15.git20161206.el7ost.noarch       Fri Dec  1 11:58:53 2017

Comment 6 Edu Alcaniz 2018-01-08 16:08:16 UTC
**Error found on the controllers**

2018-01-08 15:40:57.648 44925 INFO neutron.api.v2.resource [req-b7ca9844-d262-4c8a-94c7-b582387904f8 a192a9f466b940e2af8e18ac477a8643 4c59ee25d56a4455b975ab17cd0bd351 - - -] update failed (client error): The resource could not be found.
2018-01-08 15:41:20.739 44923 INFO neutron.api.v2.resource [req-90c7db58-8ee3-499d-841c-f6b01a8ac068 a192a9f466b940e2af8e18ac477a8643 4c59ee25d56a4455b975ab17cd0bd351 - - -] update failed (client error): The resource could not be found.
2018-01-08 15:41:36.905 44927 INFO neutron.api.v2.resource [req-18bfac49-a5a5-4e08-92ab-6fa34fc6fde7 a192a9f466b940e2af8e18ac477a8643 4c59ee25d56a4455b975ab17cd0bd351 - - -] update failed (client error): The resource could not be found.
2018-01-08 15:41:42.380 44924 INFO neutron.api.v2.resource [req-3a474c5d-ab78-4baf-8449-25231db65a9d a192a9f466b940e2af8e18ac477a8643 4c59ee25d56a4455b975ab17cd0bd351 - - -] update failed (client error): The resource could not be found.
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager [req-727c7364-7fab-406c-96f5-c05835949a84 - - - - -] Error during notification for neutron.services.segments.db._update_segment_host_mapping_for_agent--9223372036850015055 agent, after_create
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager Traceback (most recent call last):
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/callbacks/manager.py", line 146, in _notify_loop
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     callback(resource, event, trigger, **kwargs)
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/services/segments/db.py", line 293, in _update_segment_host_mapping_for_agent
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     update_segment_host_mapping(context, host, current_segment_ids)
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/services/segments/db.py", line 225, in update_segment_host_mapping
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     stale_segment_ids)).delete(synchronize_session=False)
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 502, in __exit__
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     self.rollback()
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 60, in __exit__
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     compat.reraise(exc_type, exc_value, exc_tb)
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 499, in __exit__
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     self.commit()
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 392, in commit
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     self._prepare_impl()
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 372, in _prepare_impl
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     self.session.flush()
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2027, in flush
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     self._flush(objects)
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2145, in _flush
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     transaction.rollback(_capture_exception=True)
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 60, in __exit__
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     compat.reraise(exc_type, exc_value, exc_tb)
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2109, in _flush
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     flush_context.execute()
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 373, in execute
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     rec.execute(self)
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 532, in execute
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     uow
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 170, in save_obj
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     mapper, table, update)
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 728, in _emit_update_statements
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager     (table.description, len(records), rows))
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager StaleDataError: UPDATE statement on table 'standardattributes' expected to update 4 row(s); 0 were matched.
2018-01-08 15:54:44.003 44930 ERROR neutron.callbacks.manager 
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager [req-5d7a0e78-a2e9-4aa2-916d-34c44eb1126d - - - - -] Error during notification for neutron.services.segments.db._update_segment_host_mapping_for_agent--9223372036850015055 agent, after_create
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager Traceback (most recent call last):
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/callbacks/manager.py", line 146, in _notify_loop
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     callback(resource, event, trigger, **kwargs)
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/services/segments/db.py", line 293, in _update_segment_host_mapping_for_agent
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     update_segment_host_mapping(context, host, current_segment_ids)
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/services/segments/db.py", line 225, in update_segment_host_mapping
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     stale_segment_ids)).delete(synchronize_session=False)
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 502, in __exit__
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     self.rollback()
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 60, in __exit__
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     compat.reraise(exc_type, exc_value, exc_tb)
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 499, in __exit__
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     self.commit()
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 392, in commit
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     self._prepare_impl()
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 372, in _prepare_impl
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     self.session.flush()
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2027, in flush
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     self._flush(objects)
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2145, in _flush
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     transaction.rollback(_capture_exception=True)
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 60, in __exit__
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     compat.reraise(exc_type, exc_value, exc_tb)
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2109, in _flush
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     flush_context.execute()
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 373, in execute
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     rec.execute(self)
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 532, in execute
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     uow
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 170, in save_obj
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     mapper, table, update)
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 728, in _emit_update_statements
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager     (table.description, len(records), rows))
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager StaleDataError: UPDATE statement on table 'standardattributes' expected to update 4 row(s); 0 were matched.
2018-01-08 15:57:53.825 44930 ERROR neutron.callbacks.manager 
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager [req-8da4a173-08ac-4d9d-90c5-522f52224d1f - - - - -] Error during notification for neutron.services.segments.db._update_segment_host_mapping_for_agent--9223372036850015055 agent, after_create
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager Traceback (most recent call last):
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/callbacks/manager.py", line 146, in _notify_loop
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     callback(resource, event, trigger, **kwargs)
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/services/segments/db.py", line 293, in _update_segment_host_mapping_for_agent
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     update_segment_host_mapping(context, host, current_segment_ids)
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/services/segments/db.py", line 225, in update_segment_host_mapping
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     stale_segment_ids)).delete(synchronize_session=False)
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 502, in __exit__
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     self.rollback()
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 60, in __exit__
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     compat.reraise(exc_type, exc_value, exc_tb)
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 499, in __exit__
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     self.commit()
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 392, in commit
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     self._prepare_impl()
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 372, in _prepare_impl
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     self.session.flush()
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2027, in flush
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     self._flush(objects)
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2145, in _flush
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     transaction.rollback(_capture_exception=True)
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 60, in __exit__
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     compat.reraise(exc_type, exc_value, exc_tb)
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2109, in _flush
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     flush_context.execute()
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 373, in execute
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     rec.execute(self)
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 532, in execute
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     uow
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 170, in save_obj
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     mapper, table, update)
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 728, in _emit_update_statements
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager     (table.description, len(records), rows))
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager StaleDataError: UPDATE statement on table 'standardattributes' expected to update 4 row(s); 0 were matched.
2018-01-08 16:12:28.905 44930 ERROR neutron.callbacks.manager 
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager [req-63b51730-9f63-4353-8f25-63984c2dd94e - - - - -] Error during notification for neutron.services.segments.db._update_segment_host_mapping_for_agent--9223372036850015055 agent, after_create
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager Traceback (most recent call last):
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/callbacks/manager.py", line 146, in _notify_loop
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     callback(resource, event, trigger, **kwargs)
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/services/segments/db.py", line 293, in _update_segment_host_mapping_for_agent
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     update_segment_host_mapping(context, host, current_segment_ids)
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib/python2.7/site-packages/neutron/services/segments/db.py", line 225, in update_segment_host_mapping
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     stale_segment_ids)).delete(synchronize_session=False)
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 502, in __exit__
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     self.rollback()
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 60, in __exit__
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     compat.reraise(exc_type, exc_value, exc_tb)
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 499, in __exit__
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     self.commit()
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 392, in commit
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     self._prepare_impl()
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 372, in _prepare_impl
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     self.session.flush()
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2027, in flush
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     self._flush(objects)
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2145, in _flush
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     transaction.rollback(_capture_exception=True)
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/langhelpers.py", line 60, in __exit__
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     compat.reraise(exc_type, exc_value, exc_tb)
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/session.py", line 2109, in _flush
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     flush_context.execute()
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 373, in execute
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     rec.execute(self)
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/unitofwork.py", line 532, in execute
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     uow
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 170, in save_obj
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     mapper, table, update)
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager   File "/usr/lib64/python2.7/site-packages/sqlalchemy/orm/persistence.py", line 728, in _emit_update_statements
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager     (table.description, len(records), rows))
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager StaleDataError: UPDATE statement on table 'standardattributes' expected to update 4 row(s); 0 were matched.
2018-01-08 16:12:28.914 44929 ERROR neutron.callbacks.manager

Comment 7 anil venkata 2018-01-09 05:25:01 UTC
Mistakenly updated with wrong build name(i.e openstack-neutron-10.0.2-1.el7ost). Now updating with correct build i.e openstack-neutron-9.4.1-9.el7ost

Comment 8 anil venkata 2018-01-09 05:39:05 UTC
Hi Edu

In comment 3, you are asking for the status. I hope you are asking the status for the original bug description(clone of RHBZ 1433726). If so, it was fixed in openstack-neutron-9.4.1-9.el7ost. When RHBZ 1433726(original bug) is reported on OSP7, we thought it can affect other branches, so cloned this bug, backported patches and provided the build openstack-neutron-9.4.1-9.el7ost   

In comment 4, you said you have "same situation in one customer". Can you please elaborate what issue it is and his environment? Also the errors you pasted in comment 6 doesn't match with original description. If this is the case, please report a separate bug.

Thanks
Anil

Comment 9 Edu Alcaniz 2018-01-09 06:43:03 UTC
Hi Anil, we have an issue like attached on the controllers and the similar issue of BZ with a customer using RHOSP10 but they are not using the openstack-neutron-9.4.1-9.el7ost.

Customer has HA routers flapping. The HA router are transitioning from MASTER to BACKUP and this looks like a storm


I can't see the  openstack-neutron-9.4.1-9.el7ost, Is there any hotfix? or CDN (latest is  openstack-neutron-9.4.1-5.el7ost)?

Comment 11 anil venkata 2018-01-09 07:05:06 UTC
Thanks Edu.
These are metadata agent and openvswitch-agent logs(and not l3 logs) and looks like these errors are not related to the original bug description. Please check if the latest openstack-neutron-9.4.1-9.el7ost build is solving your issue. If not, kindly report a new bug with the details.

Comment 17 anil venkata 2018-02-12 10:25:20 UTC
You are testing with openstack-neutron-9.4.1-12.el7ost.noarch
instead of openstack-neutron-9.4.1-9.el7ost

openstack-neutron-9.4.1-12.el7ost.noarch build is created with the change
https://code.engineering.redhat.com/gerrit/#/c/124187/ which started calling _update_ha_network_port_status() from get_service_plugin_list() instead of get_router_ids().

Kindly verify with openstack-neutron-9.4.1-9.el7ost.

Comment 21 errata-xmlrpc 2018-02-27 16:41:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0357


Note You need to log in before you can comment on or make changes to this bug.